From 012e35ce295ee691ce9b260c171d2a21e63c4975 Mon Sep 17 00:00:00 2001
From: Ralph Bean <rbean@redhat.com>
Date: Jul 31 2015 18:33:09 +0000
Subject: [PATCH 205/254] Link to meeting minutes.


---

diff --git a/hubs/widgets/rules.py b/hubs/widgets/rules.py
index 7afc67b..2ec97f4 100644
--- a/hubs/widgets/rules.py
+++ b/hubs/widgets/rules.py
@@ -22,6 +22,23 @@ template = jinja2.Template("""
         </div>
     {% endfor %}
   </div>
+  {% if schedule_text or schedule_link or minutes_link %}
+  <div class="row">
+  <h6>meetings</h6>
+  {% if schedule_text %}
+  <p>{{schedule_text}}</p>
+  {% endif %}
+  {% if schedule_link %}
+  <a target="_blank" href="{{schedule_link}}">Meeting Schedule</a>
+  {% endif %}
+  {% if schedule_link and minutes_link %}
+  &#8214;
+  {% endif %}
+  {% if minutes_link %}
+  <a target="_blank" href="{{minutes_link}}">Past Meeting Minutes</a>
+  {% endif %}
+  </div>
+  {% endif %}
 </div>
 <style>
   .rules-table {
@@ -39,10 +56,22 @@ template = jinja2.Template("""
 @argument(name='link', default=None,
           validator=validators.link,
           help="Link to the community rules and guidelines")
-def data(session, widget, link):
+@argument(name='schedule_text', default=None,
+          validator=validators.text,
+          help="Some text about when meetings are")
+@argument(name='schedule_link', default=None,
+          validator=validators.link,
+          help="Link to a schedule for IRC meetings, etc..")
+@argument(name='minutes_link', default=None,
+          validator=validators.link,
+          help="Link to meeting minutes from past meetings..")
+def data(session, widget, link, schedule_text, schedule_link, minutes_link):
     owners = widget.hub.owners
     owners = ordereddict([(o.username, avatar(o.username)) for o in owners])
-    return dict(owners=owners, link=link)
+    return dict(owners=owners, link=link,
+                schedule_text=schedule_text,
+                schedule_link=schedule_link,
+                minutes_link=minutes_link)
 
 
 @hint(topics=[_('hubs.widget.update'), _('hubs.hub.update')])
diff --git a/populate.py b/populate.py
index a23dfe7..6cf905b 100755
--- a/populate.py
+++ b/populate.py
@@ -30,7 +30,10 @@ widget = hubs.models.Widget(plugin='stats', index=0)
 hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='rules', index=1,
                             _config=json.dumps({
-                                'link': 'https://fedoraproject.org/wiki/I18N'
+                                'link': 'https://fedoraproject.org/wiki/I18N',
+                                'schedule_text': None,
+                                'schedule_link': None,
+                                'minutes_link': 'https://meetbot.fedoraproject.org/sresults/?group_id=i18n&type=team',
                             }))
 hub.widgets.append(widget)
 
@@ -71,7 +74,10 @@ widget = hubs.models.Widget(plugin='stats', index=0)
 hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='rules', index=1,
                             _config=json.dumps({
-                                'link': 'https://fedoraproject.org/wiki/Marketing'
+                                'link': 'https://fedoraproject.org/wiki/Marketing',
+                                'schedule_text': None,
+                                'schedule_link': None,
+                                'minutes_link': 'http://meetbot.fedoraproject.org/sresults/?group_id=fedora-mktg&type=channel',
                             }))
 hub.widgets.append(widget)
 
@@ -115,7 +121,10 @@ widget = hubs.models.Widget(plugin='stats', index=0)
 hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='rules', index=1,
                             _config=json.dumps({
-                                'link': 'https://fedoraproject.org/wiki/Design'
+                                'link': 'https://fedoraproject.org/wiki/Design',
+                                'schedule_text': 'Meetings are every other Tuesday at 16:00 UTC',
+                                'schedule_link': 'https://apps.fedoraproject.org/calendar/design/',
+                                'minutes_link': 'http://meetbot.fedoraproject.org/sresults/?group_id=fedora-design&type=channel',
                             }))
 hub.widgets.append(widget)
 
@@ -160,7 +169,10 @@ widget = hubs.models.Widget(plugin='stats', index=0)
 hub.widgets.append(widget)
 widget = hubs.models.Widget(plugin='rules', index=1,
                             _config=json.dumps({
-                                'link': 'https://fedoraproject.org/wiki/Infrastructure'
+                                'link': 'https://fedoraproject.org/wiki/Infrastructure',
+                                'schedule_text': 'We meet weekly in #fedora-meeting at 18:00 UTC',
+                                'schedule_link': 'https://apps.fedoraproject.org/calendar/infrastructure/',
+                                'minutes_link': 'http://meetbot.fedoraproject.org/sresults/?group_id=infrastructure&type=team',
                             }))
 hub.widgets.append(widget)
 

